curl --request GET \
--url https://api.rewind.rest/v1/watching/ratings \
--header 'Authorization: Bearer <token>'{
"data": [
{
"movie": {
"id": 50,
"title": "The Great Escape",
"year": 1963,
"tmdb_id": 5925,
"tmdb_rating": 7.9,
"image": null
},
"user_rating": 5,
"review_url": null,
"watched_at": "2025-08-10T20:00:00Z",
"source": "letterboxd"
},
{
"movie": {
"id": 200,
"title": "Interstellar",
"year": 2014,
"tmdb_id": 157336,
"tmdb_rating": 8.4,
"image": null
},
"user_rating": 5,
"review_url": null,
"watched_at": "2024-12-20T20:00:00Z",
"source": "letterboxd"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 150,
"total_pages": 8
}
}Returns paginated list of movies with user ratings.
curl --request GET \
--url https://api.rewind.rest/v1/watching/ratings \
--header 'Authorization: Bearer <token>'{
"data": [
{
"movie": {
"id": 50,
"title": "The Great Escape",
"year": 1963,
"tmdb_id": 5925,
"tmdb_rating": 7.9,
"image": null
},
"user_rating": 5,
"review_url": null,
"watched_at": "2025-08-10T20:00:00Z",
"source": "letterboxd"
},
{
"movie": {
"id": 200,
"title": "Interstellar",
"year": 2014,
"tmdb_id": 157336,
"tmdb_rating": 8.4,
"image": null
},
"user_rating": 5,
"review_url": null,
"watched_at": "2024-12-20T20:00:00Z",
"source": "letterboxd"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 150,
"total_pages": 8
}
}Documentation Index
Fetch the complete documentation index at: https://docs.rewind.rest/llms.txt
Use this file to discover all available pages before exploring further.
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
x >= 11 <= x <= 100